org.keycloak.representations.idm

## Class CertificateRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.CertificateRepresentation

-     public class CertificateRepresentation
      extends Object

  PEM values of key and certificate
  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `certificate`
    `protected String` | `kid`
    `protected String` | `privateKey`
    `protected String` | `publicKey`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCertificate()`
    `String` | `getKid()`
    `String` | `getPrivateKey()`
    `String` | `getPublicKey()`
    `void` | `setCertificate(String certificate)`
    `void` | `setKid(String kid)`
    `void` | `setPrivateKey(String privateKey)`
    `void` | `setPublicKey(String publicKey)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### privateKey

          protected String privateKey

    - #### publicKey

          protected String publicKey

    - #### certificate

          protected String certificate

    - #### kid

          protected String kid

  - ### Constructor Detail

    - #### CertificateRepresentation

          public CertificateRepresentation()

  - ### Method Detail

    - #### getPrivateKey

          public String getPrivateKey()

    - #### setPrivateKey

          public void setPrivateKey(String privateKey)

    - #### getPublicKey

          public String getPublicKey()

    - #### setPublicKey

          public void setPublicKey(String publicKey)

    - #### getCertificate

          public String getCertificate()

    - #### setCertificate

          public void setCertificate(String certificate)

    - #### getKid

          public String getKid()

    - #### setKid

          public void setKid(String kid)

Copyright © 2020 JBoss by Red Hat. All rights reserved.